glab(1)

NAME

glab-release-create - Create a new GitLab release, or update an existing one.

SYNOPSIS

glab release create [...] [flags]

DESCRIPTION

Create a new release, or update an existing GitLab release, for a repository. Requires the Developer role or higher.

An existing release is updated with the new information you provide.

To create a release from an annotated Git tag, first create one locally with Git, push the tag to GitLab, then run this command.

If the Git tag you specify doesn't exist, the release is created from the latest state of the default branch, and tagged with the tag name you specify.

To override this behavior, use --ref. The ref can be a commit SHA, another tag name, or a branch name.

To fetch the new tag locally after the release, run git fetch --tags origin.

OPTIONS

-a, --assets-links=""
    'JSON' string representation of assets links, like --assets-links='[{"name": "Asset1", "url":"https://<domain>/some/location/1", "link_type": "other", "direct_asset_path": "path/to/file"}]'.

-m, --milestone=[]
    The title of each milestone the release is associated with.

-n, --name=""
    The release name or title.

-N, --notes=""
    The release notes or description. You can use Markdown.

-F, --notes-file=""
    Read release notes 'file'. Specify '-' as the value to read from stdin.

-r, --ref=""
    If the specified tag doesn't exist, the release is created from ref and tagged with the specified tag name. It can be a commit SHA, another tag name, or a branch name.

-D, --released-at=""
    The 'date' when the release was ready. Defaults to the current datetime. Expects ISO 8601 format (2019-03-15T08:00:00Z).

-T, --tag-message=""
    Message to use if creating a new annotated tag.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    # Interactively create a release
    $ glab release create v1.0.1
    # Non-interactively create a release by specifying a note
    $ glab release create v1.0.1 --notes "bugfix release"
    # Use release notes from a file
    $ glab release create v1.0.1 -F changelog.md
    # Upload a release asset with a display name (type will default to 'other')
    $ glab release create v1.0.1 '/path/to/asset.zip#My display label'
    # Upload a release asset with a display name and type
    $ glab release create v1.0.1 '/path/to/asset.png#My display label#image'
    # Upload all assets in a specified folder (types will default to 'other')
    $ glab release create v1.0.1 ./dist/*
    # Upload all tarballs in a specified folder (types will default to 'other')
    $ glab release create v1.0.1 ./dist/*.tar.gz
    # Create a release with assets specified as JSON object
    $ glab release create v1.0.1 --assets-links='
      [
        {
          "name": "Asset1",
          "url":"https://<domain>/some/location/1",
          "link_type": "other",
          "direct_asset_path": "path/to/file"
        }
      ]'

SEE ALSO

glab-release(1)